import ParameterTypes from "@site/src/components/ParameterTypes"

# Order

 **Order**: &#123; [key in keyof T]?: "ASC" \| "DESC" \| Order&#60;T[key] extends any[] ? T[key][0] : T[key]&#62; &#125;

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
